Assign an app on directory or a business [Internal] - Deprecated, /v3/apps/app_assignments instead

Overview

Assign an application to a business or directory so it appears in the App Market.

⚠️ DEPRECATED: Use POST /v3/apps/app_assignments instead.

Authentication

Available for Internal Tokens and Directory Tokens.

Directory Token Requirements

Directory tokens can only assign apps they own/created:

  • Assign to Directory: Requires is_internal: "true". The app must be owned by your directory.
  • Assign to Business: Requires hide_from_market: "true". The app must be owned by your directory and the business must belong to your directory.

Path Parameter

The {id} in the path must be the app_code_name (string identifier), not the numeric app_id.

Migration Guide

Old Format (This Endpoint)

{
  "directory_uid": "def456",
  "is_internal": "true"
}

New Format (POST /v3/apps/app_assignments)

{
  "assignee_type": "directory",
  "assignee_uid": "def456",
  "app_code_name": "myapp",
  "settings": {
    "assignment_mode": "internal"
  }
}

Parameter Mapping

Old ParameterNew Parameter
business_uidassignee_uid (with assignee_type: "business")
directory_uidassignee_uid (with assignee_type: "directory")
is_internal: "true"settings.assignment_mode: "internal"
pre_installed: "true"settings.assignment_mode: "pre_installed"
built_in: "true"Not supported in v3
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

App code name

Body Params
string

Define the app as built_in for this directory, meaning it is installed for all its users and cannot be uninstalled by them. Used with directory_uid only.

string

The business uid to associate the app to.

string

The directory uid to associate the app to.

string

Specify that the app is an internal - used with directory_uid only.

string

Define the app as pre-installed for all new accounts of this directory - used with directory_uid only.

Response

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json